<?php
 /**
 * Magic CMS 客服设置
 * ============================================================================
 * Copyright 2014 大秦科技，并保留所有权利。
 * 网站地址: http://www.qintech.net；
 * ----------------------------------------------------------------------------
 * 未获商业授权之前，不得将Magic CMS用于商业用途（包括但不限于企业网站、经营性网站
 * 以营利为目的或实现盈利的网站）未经官方许可，禁止在Magic CMS的整体或任何部分基础
 * 上以发展任何派生版本、修改版本或第三方版本用于重新分发。如果您未能遵守本协议的
 * 条款，您的授权将被终止，所被许可的权利将被收回，并承担相应法律责任。
 * ============================================================================
 * Date:2014/12/31
**/
class IndexModule extends CommonModule{

	public function index(){
		$kefu= M('addkefu')->find();
		$this->assign('kefu', $kefu);
		$this->display();
	}

	public function save(){
		$id = Q('get.id','','intval');
		if(empty($id)) $this->error('参数错误');
		if(IS_POST){
			$data=$_POST;
			$data['status']        = empty($data['status']) ? 0 : 1;
			$data['rx_status']     = empty($data['rx_status']) ? 0 : 1;
			$data['gb_status']     = empty($data['gb_status']) ? 0 : 1;
			$data['minStatue']     = empty($data['minStatue']) ? 0 : 1;
			$data['hideCloseBtn']  = empty($data['hideCloseBtn']) ? 0 : 1;
			$data['halfTop']       = empty($data['halfTop']) ? 'false' : 'true';

			$db = M('flag');

			$db->validate = array(
					array('content', 'nonull', '客服QQ不能为空',2,3),
				);

			if (!$db->create($data)){$this->error($db->error);}

			$res= M('addkefu')->data($data)->where('id='.$id)->save();

			if($res){
				$this->success('客服信息保存成功','?r=kefu');
			}else{
				$this->error('保存失败');
			}
		}else{
			$this->error('非法请求');
		};
	}

}